package com.bonus.canteen.core.supply.purchase.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.canteen.core.supply.purchase.domain.bo.DrpProductionPlan;
import com.bonus.canteen.core.supply.purchase.domain.param.*;
import com.bonus.canteen.core.supply.purchase.domain.vo.*;

import java.util.List;

public interface DrpProductionPlanService extends IService<DrpProductionPlan> {
   List<DrpProductionPlanPageVO> pageProductionPlan(DrpProductionPlanPageDTO content);

   String addProductionPlan(DrpProductionPlanAddDTO content);

   void deleteProductionPlan(String productionId);

   String generatePurPlan(List<DrpGeneratePurPlanDetailDTO> content);

   List<DrpProductionDetailDirectListVO> listDetailDirect(String productionPlanId);

   List<DrpProductionDetailRecipeOrderListVO> listDetailRecipeOrder(String productionPlanId);

   List<DrpProductionDishesNumVO> listProductionDishesSum(String productionPlanId);

   void saveReserveRate(List<DrpReserveRateSaveDTO> content);

   String batchGeneratePurPlan(DrpGeneratePurPlanDTO content);

   List<DrpProductionDishesNumVO> listProductionDishesSumByPlanIds(List<String> content);

   AmountBaseByPageHelperVO materialCount(DrpProductionPlanPageDTO content);

   DrpProductionPlanDetailVO detail(String productionPlanId);

//   DrpProductionPlanDetailVO preOrderInfo(OrderDrpDishesSumDTO content);
//
//   DrpProductionPlanTotalVO getTotal();
//
//   String mergeGeneratePurPlan(List<String> content);

   List<DrpDishesConvertVO> getMenuMaterialByPlanIdList(List<String> content);
}
